Skip to content

Delete Auto Scaling Group Schedule

DELETE
/notebooks/autoscale-groups/{group_id}/scheduled-policies/{policy_id}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/autoscale-groups/{group_id}/scheduled-policies/{policy_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Deletes one schedule of an Auto Scaling Group. Needs the permission to delete.

group_id
required
integer

Auto Scaling Group ID

policy_id
required
integer

Schedule ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Schedule deleted

Media typeapplication/json
object
code
integer
message
string
data
object
deleted
boolean
id
integer
errors
object

Example

{
"code": 200,
"message": "Success",
"data": {
"deleted": true,
"id": 12
},
"errors": {}
}

project_id is missing or not a number.

Media typeapplication/json
object
code
integer
message
string
data
object
errors
string

Example

{
"code": 400,
"message": "Bad Request",
"data": {},
"errors": "Project ID is missing or invalid"
}

No Auto Scaling Group with that ID in the project and region, or no schedule with that ID in the group. errors is “Autoscale Group not found” or “Scheduled Policy not found”.

Media typeapplication/json
object
code
integer
message
string
data
object
errors
string

Example

{
"code": 404,
"message": "Bad Request",
"data": {},
"errors": "Scheduled Policy not found"
}